// Pt1TriTuner.h: PT1 n/BS/110CS`[iNX
//
/////////////////////////////////////////////////////////////////////////////

#pragma once


#include "Pt1BaseTuner.h"



/////////////////////////////////////////////////////////////////////////////
// PT1 n/BS/110CS`[iNX
/////////////////////////////////////////////////////////////////////////////

class CPt1TriTuner :	public CPt1BaseTuner
{
public:
// CBonObject
	DECLARE_IBONOBJECT(CPt1TriTuner)

// CPtBaseTuner(IHalDevice)
	virtual const CBonString GetDeviceName() const;
	virtual const DWORD GetTotalDeviceNum(void) const;
	virtual const DWORD GetActiveDeviceNum(void) const;

// CPt1BaseTuner(IHalTsTuner)
	virtual const DWORD OpenTuner(void);
	virtual void CloseTuner(void);

	virtual const bool SetChannel(const DWORD dwSpace, const DWORD dwChannel);
	virtual const bool SetLnbPower(const bool bEnable);

// IConfigTarget
	virtual const bool SetProperty(const IConfigProperty *pProperty);

// CPt1SatTuner
	CPt1TriTuner(IBonObject *pOwner);
	virtual ~CPt1TriTuner(void);

protected:
	virtual void OnTsStream(CPt1Tuner *pTuner, const BYTE *pData, const DWORD dwSize);

	CPt1Tuner *m_apTuner[Device::ISDB_COUNT];
};
